import SwiftUI
import TipKit

// Define your tip's content
struct TipKitTip: Tip {
    var title: Text {
        Text("Title")
    }
    var message: Text? {
        Text("Message")
    }
    var image: Image? {
        Image(systemName: "star")
    }
}

struct ContentView: View {
    // Create an instance of your tip
    var tipKitTip = TipKitTip()

    var body: some View {
        VStack {
            // Place the tip view near the feature you want to highlight
            TipView(tipKitTip, arrowEdge: .bottom)
            Image(systemName: "star")
                .imageScale(.large)
            Spacer()
        }
        .task {
            // Configure and load your tips at app launch
            try? Tips.configure([
                .displayFrequency(.immediate),
                .datastoreLocation(.applicationDefault)
            ])
        }
    }
}
